### Method

# Ide LspRenameProvider get_client

#### Declaration

    IdeLspClient*
    ide_lsp_rename_provider_get_client (
      IdeLspRenameProvider* self
    )

#### Description

No description available.

Gets property | `Ide.LspRenameProvider:client`

#### Return value

Returns: | `IdeLspClient`
| An `IdeLspClient` or `NULL`.
| The data is owned by the instance.
| The return value can be `NULL`.